## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Class SchemaObjectEditorModelListenersNotifier

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.SchemaObjectEditorModelListenersNotifier

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class SchemaObjectEditorModelListenersNotifier

extends org.eclipse.emf.common.notify.impl.AdapterImpl

The notifier for the model change listeners. It is itself a model listener, it accepts all events from the model object and model's contaiment objects, also from the additional model defined in `ISchemaObjectEditModel`, then delegate the events to all the listeners of this notifier.

Author:
  Idull
See Also:
  `ISchemaObjectEditModel`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`SchemaObjectEditorModelListenersNotifier()`

Method Summary
`void` `addModelListener(ISchemaObjectEditorModelListener listener)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)`
`void` `registerListener(ISchemaObjectEditorInput input)` Registers listeners for all SQL objects and their containment features containing in the given editor input
`void` `removeAllListeners()`
`void` `removeModelListener(ISchemaObjectEditorModelListener listener)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaObjectEditorModelListenersNotifier

    public SchemaObjectEditorModelListenersNotifier()

Method Detail

### addModelListener

    public void addModelListener(ISchemaObjectEditorModelListener listener)

### removeModelListener

    public void removeModelListener(ISchemaObjectEditorModelListener listener)

### removeAllListeners

    public void removeAllListeners()

### registerListener

    public void registerListener(ISchemaObjectEditorInput input)

  Registers listeners for all SQL objects and their containment features containing in the given editor input

  Parameters:
    `input` - the editor input

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`